---
title: influx bucket list
description: The `influx bucket list` command lists and searches for buckets in InfluxDB.
menu:
  v2_0_ref:
    name: influx bucket list
    parent: influx bucket
weight: 201
aliases:
  - /v2.0/reference/cli/influx/bucket/find
---

The `influx bucket list` command lists and searches for buckets in InfluxDB.

## Usage
```
influx bucket list [flags]
```

#### Aliases
`list`, `ls`, `find`

## Flags
| Flag |                  | Description                                                | Input type  | {{< cli/mapped >}}    |
|:---- |:---              |:-----------                                                |:----------: |:------------------    |
| `-h` | `--help`         | Help for the `list` command                                |             |                       |
|      | `--hide-headers` | Hide table headers (default `false`)                       |             | `INFLUX_HIDE_HEADERS` |
|      | `--host`         | HTTP address of InfluxDB (default `http://localhost:9999`) | string      | `INFLUX_HOST`         |
| `-i` | `--id`           | Bucket ID                                                  | string      |                       |
|      | `--json`         | Output data as JSON (default `false`)                      |             | `INFLUX_OUTPUT_JSON`  |
| `-n` | `--name`         | Bucket name                                                | string      | `INFLUX_BUCKET_NAME`  |
| `-o` | `--org`          | Organization name                                          | string      | `INFLUX_ORG`          |
|      | `--org-id`       | Organization ID                                            | string      | `INFLUX_ORG_ID`       |
|      | `--skip-verify`  | Skip TLS certificate verification                          |             |                       |
| `-t` | `--token`        | Authentication token                                       | string      | `INFLUX_TOKEN`        |
