---
title: math.j0() function
description: The math.j0() function returns the order-zero Bessel function of the first kind.
aliases:
  - /v2.0/reference/flux/functions/math/j0/
menu:
  v2_0_ref:
    name: math.j0
    parent: Math
weight: 301
---

The `math.j0()` function returns the order-zero Bessel function of the first kind.

_**Output data type:** Float_

```js
import "math"

math.j0(x: 1.23)

// Returns 0.656070571706025
```

## Parameters

### x
The value used in the operation.

_**Data type:** Float_

## Special cases
```js
math.j0(x: ±Inf) // Returns 0
math.j0(x: 0)    // Returns 1
math.j0(x: NaN)  // Returns NaN
```
