---
title: math.y1() function
description: The math.y1() function returns the order-one Bessel function of the second kind.
aliases:
  - /v2.0/reference/flux/functions/math/y1/
menu:
  v2_0_ref:
    name: math.y1
    parent: Math
weight: 301
---

The `math.y1()` function returns the order-one Bessel function of the second kind.

_**Output data type:** Float_

```js
import "math"

math.y1(x: 3.14)

// Returns 0.35853138083924085
```

## Parameters

### x
The value used in the operation.

_**Data type:** Float_

## Special cases
```js
math.y1(x: +Inf) // Returns 0
math.y1(x: 0)    // Returns -Inf
math.y1(x: <0)   // Returns NaN
math.y1(x: NaN)  // Returns NaN
```
